[+] Problem z Wine

Zagadnienia dotyczące menadżerów okien, środowisk graficznych - X, KDE, GNOME, Fluxbox, XFCE., Compiz itp.
ksysinek
Beginner
Posty: 155
Rejestracja: 14 czerwca 2007, 00:33
Lokalizacja: *Miasto know-how

Post autor: ksysinek » 03 kwietnia 2008, 00:30

Olbi, prosilem o brak takiej dyskusji. Ja nie mam KDE, nie mam dostepu z klawiatury i myszki. Po wielu porazkach z roznymi klientami stwierdzilem ze wlasnie z utorrent zostaje. Prosze o jakas konstruktywna uwage ze strony forumowiczow;]

Orion
Posty: 30
Rejestracja: 13 marca 2008, 00:08
Lokalizacja: £ód¼

Post autor: Orion » 03 kwietnia 2008, 13:20

Olbi, prosilem o brak takiej dyskusji. Ja nie mam KDE, nie mam dostepu z klawiatury i myszki. Po wielu porazkach z roznymi klientami stwierdzilem ze wlasnie z utorrent zostaje. Prosze o jakas konstruktywna uwage ze strony forumowiczow;]
Jak to nie masz dostępu z klawiatury i myszki? To jak ty chcesz w ogóle korzystać z tego kompa? Używasz może jakiś optycznych czy falomózgowych przekazywaczy poleceń? Poza tym ktorrent pójdzie ci też na innym środowisku, tylko musisz doinstalować biblioteki. Debian sam ci dociągnie odpowiednie. Z amarokiem jest to samo. Jest napisany pod KDE, ale i tak spora liczba ludzi korzysta na innych środowiskach, więc nie widzę tutaj żadnego problemu, a konfiguracja jest taka sama, jak w uTorrent :)

Awatar użytkownika
LongeR
Posty: 71
Rejestracja: 25 marca 2008, 10:59
Lokalizacja: DT

Post autor: LongeR » 03 kwietnia 2008, 16:38

Ja na debianie swego czasu korzystałem z utorrenta do jego odpalenia używałem wine :) usuń starą wersję wine, wyczyść jego katalogi konfiguracyjne ściąg najnowszą wersję (nie z repozytoriów) i zainstaluj jeszcze raz.

Awatar użytkownika
Yampress
Administrator
Posty: 6226
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Post autor: Yampress » 03 kwietnia 2008, 19:00

Bodzio pisze:Azureus to ciężka cegła i javy wymaga. A bez javy - linuksowy odpowiednik utorrenta yo pewnie Deluge
Bodzio jak sie ma dobry sprzęt to i cegła może być z tego azureusa :-P

ksysinek
Beginner
Posty: 155
Rejestracja: 14 czerwca 2007, 00:33
Lokalizacja: *Miasto know-how

Post autor: ksysinek » 06 kwietnia 2008, 13:20

Pomysł LongeRa wydał mi się ciekawy. Tak więc powybijałem odpowiednie procesy, usunąłem stare wine chcąc zainstalować najnowsza wersję 0.9.59 postąpiłem zgodnie z instrukcją ze strony WineHQ. Jednak gdy wydaję komendę apt-get install wine:

Kod: Zaznacz cały

Czytanie list pakietów... Gotowe
Budowanie drzewa zależności... Gotowe
Odczyt dodatkowych informacji o stanie
Inicjalizacja stanów pakietów... Gotowe
Zapisywanie dodatkowych informacji o stanie... Gotowe
Odczyt opisów zadań... Gotowe
Budowanie bazy etykiet... Gotowe
Następujące pakiety zostały zatrzymane:
  libcupsys2 libcupsys2-dev libwine
Następujące NOWE pakiety zostaną zainstalowane:
  wine
0 pakietów uaktualnianych, 1 instalowanych, 0 do usunięcia i 3 nie uaktualnianych.
Do pobrania 0B/10,4MB archiwów. Zajęte po rozpakowaniu: 54,2MB.
Zapisywanie dodatkowych informacji o stanie... Gotowe
(Odczytywanie bazy danych ... 39747 plików i katalogów obecnie zainstalowanych.)
Rozpakowanie wine (z .../wine_0.9.58~winehq0~debian~4.0-1_i386.deb) ...
dpkg: błąd przetwarzania /var/cache/apt/archives/wine_0.9.58~winehq0~debian~4.0-1_i386.deb (--unpack):
 próba nadpisania `/usr/lib/wine/msacm32.drv.so', który istnieje także w pakiecie libwine
dpkg-deb: podproces paste został zabity sygnałem (Przerwany potok)
Wystąpiły błędy podczas przetwarzania:
 /var/cache/apt/archives/wine_0.9.58~winehq0~debian~4.0-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
W czasie instalacji wystąpiły problemy. Próba naprawy:
Nic się nie zmienia. Inne programy da radę instalować.

Awatar użytkownika
iria
Junior Member
Posty: 941
Rejestracja: 04 czerwca 2007, 18:54

Post autor: iria » 06 kwietnia 2008, 15:44

Nie odinstalowałeś wszystkich części Wine. Wine w repo składa sie z paru paczek, natomiast wine z winehq to tylko jedna paczka.

ksysinek
Beginner
Posty: 155
Rejestracja: 14 czerwca 2007, 00:33
Lokalizacja: *Miasto know-how

Post autor: ksysinek » 06 kwietnia 2008, 15:58

Zainstalowałem Wine 0.9.59 z paczek .tar.bz2 i zadziałało. Teraz mogę uruchamiać różne programy na wielu kontach po kilka razy i nie ma żadnych problemów. Wszystkim osobom mającym w przyszłości podobne problemy zalecam ręczne kompilowanie Wine w jak najnowszej wersji. Pozdrawiam i życzę jak najmniej kłopotów.

psv
Beginner
Posty: 234
Rejestracja: 08 maja 2007, 13:42

Post autor: psv » 07 kwietnia 2008, 10:40

Yampress pisze:azureus :) no ale nie jest na konsolę
Azureus jest za ciężki i jak już było mówione, wymaga java. Jeśli ktoś używa KDE, polecam ktorrent - dla mnie jest rewelacyjny.

ODPOWIEDZ